Skip to main content.
home | support | download

Back to List Archive

Re: Quick question

From: Colin Kuskie <ckuskie(at)not-real.sterlink.net>
Date: Fri Apr 12 2002 - 05:38:46 GMT
On Thu, 11 Apr 2002 22:27:38 -0700
Bill Moseley <moseley@hank.org> wrote:

> At 09:21 PM 04/11/02 -0700, Colin Kuskie wrote:
> >I downloaded the latest snapshot and tried to compile it, the library
> >and the perl module and found the problem.  It's the perl module.
> >When I try 'make test' in /perl then I get what's pasted below.
> >I've tried installing libswish-e in /usr/local/lib and /usr/lib with
> >the same results.
> 
> Of course you don't need to build the perl module to use swish.

True, but I'd like to use the module/CGI interface.

> Your's says:
> 
> LIBS => [q[-L/usr/lib -lswish-e -lm -lxml2], q[-L/usr/lib -lswish-e -lm
> -lxml2]]
> 
> Which doesn't make sense.  How did that get changed?  Take a look at
> Makefile.PL and see what that line says.

I changed the line to point to the actual library, instead of the one
in the local build directory to see if it would change the problem, but
it doesn't.  Here's what the original generates:

MakeMaker (v5.4302)
        DIR => []
        LIBS => [q[-L../src -lswish-e -lm -lxml2], q[-lswish-e -lm -lxml2]]
        NAME => q[SWISHE]
        NORECURS => q[1]
        PREREQ_PM => {  }
        VERSION_FROM => q[SWISHE.pm]
Using PERL=/usr/bin/perl
Potential libraries are '-L../src -lswish-e -lm -lxml2':
Warning: -L../src changed to -L/usr/local/src/swish-e-2.1-dev-25/perl/../src
'-lswish-e' found at /usr/local/src/swish-e-2.1-dev-25/perl/../src/libswish-e.a

[...]

PERL_DL_NONLAZY=1 /usr/bin/perl -Iblib/arch -Iblib/lib -I/usr/lib/perl5/5.00503/i386-linux -I/usr/lib/perl5/5.00503 test.pl
Can't load 'blib/arch/auto/SWISHE/SWISHE.so' for module SWISHE: blib/arch/auto/SWISHE/SWISHE.so: undefined symbol: compress2 at /usr/lib/perl5/5.00503/i386-linux/DynaLoader.pm line 169.

Colin
Received on Fri Apr 12 05:40:10 2002